package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.entryconfig.app.*;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class DataConfigEntry extends CoreBillEntryBase implements IDataConfigEntry
{
    public DataConfigEntry()
    {
        super();
        registerInterface(IDataConfigEntry.class, this);
    }
    public DataConfigEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IDataConfigEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D14670A7");
    }
    private DataConfigEntryController getController() throws BOSException
    {
        return (DataConfigEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public DataConfigEntryInfo getDataConfigEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getDataConfigEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public DataConfigEntryInfo getDataConfigEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getDataConfigEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public DataConfigEntryInfo getDataConfigEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getDataConfigEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public DataConfigEntryCollection getDataConfigEntryCollection() throws BOSException
    {
        try {
            return getController().getDataConfigEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public DataConfigEntryCollection getDataConfigEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getDataConfigEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public DataConfigEntryCollection getDataConfigEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getDataConfigEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}